<?php
$manager_url = Horde::selfUrl();
$graph_path = $registry->getImageDir('horde');
$sortby = $prefs->getValue('sortby');
$sortdir = $prefs->getValue('sortdir');
$sort_url = Util::addParameter($manager_url, 'sortdir', abs(1 - $sortdir));
?>
<tr><td class="item">
<table width="100%" border="0" cellpadding="0" cellspacing="1">
<tr class="item">
  <th nowrap="nowrap" width="3%" align="center"><input type="checkbox" name="checkAll" onclick="toggleSelection()" <?php echo Horde::getAccessKeyAndTitle(_("Check _All/None")) ?>" /></th>
<?php foreach ($columns as $head): ?>
<?php if ($head == 'type'): ?>
  <th class="<?php echo ($sortby == GOLLEM_SORT_TYPE) ? 'selected' : 'item' ?>" width="5%" nowrap="nowrap" align="right">
    <a href="<?php echo Util::addParameter($sort_url, 'sortby', GOLLEM_SORT_TYPE) ?>"><?php echo Horde::img($sortdir ? 'za.png' : 'az.png', _("Sort Direction"), null, $graph_path) ?></a>
    <a href="<?php echo Util::addParameter($manager_url, 'sortby', GOLLEM_SORT_TYPE) ?>"><?php echo _("Type") ?></a>&nbsp;
  </th>
<?php elseif ($head == 'name'): ?>
  <th class="<?php echo ($sortby == GOLLEM_SORT_NAME) ? 'selected' : 'item' ?>" width="57%" nowrap="nowrap" align="left">
    <a href="<?php echo Util::addParameter($sort_url, 'sortby', GOLLEM_SORT_NAME) ?>"><?php echo Horde::img($sortdir ? 'za.png' : 'az.png', _("Sort Direction"), null, $graph_path) ?></a>
    <a href="<?php echo Util::addParameter($manager_url, 'sortby', GOLLEM_SORT_NAME) ?>"><?php echo _("Name") ?></a>&nbsp;
  </th>
<?php elseif ($head == 'download'): ?>
  <th class="item" width="1%" align="center">
    <?php echo Horde::img('download.png', _("Download"), null, $graph_path) ?>
  </th>
<?php elseif ($head == 'modified'): ?>
  <th class="<?php echo ($sortby == GOLLEM_SORT_DATE) ? 'selected' : 'item' ?>" width="7%" nowrap="nowrap" align="right">
    <a href="<?php echo Util::addParameter($sort_url, 'sortby', GOLLEM_SORT_DATE) ?>"><?php echo Horde::img($sortdir ? 'za.png' : 'az.png', _("Sort Direction"), null, $graph_path) ?></a>
    <a href="<?php echo Util::addParameter($manager_url, 'sortby', GOLLEM_SORT_DATE) ?>"><?php echo _("Modified") ?></a>&nbsp;
  </th>
<?php elseif ($head == 'size'): ?>
  <th class="<?php echo ($sortby == GOLLEM_SORT_SIZE) ? 'selected' : 'item' ?>" width="7%" nowrap="nowrap" align="right">
    <a href="<?php echo Util::addParameter($sort_url, 'sortby', GOLLEM_SORT_SIZE) ?>"><?php echo Horde::img($sortdir ? 'za.png' : 'az.png', _("Sort Direction"), null, $graph_path) ?></a>
    <a href="<?php echo Util::addParameter($manager_url, 'sortby', GOLLEM_SORT_SIZE) ?>"><?php echo _("Size") ?></a>&nbsp;
  </th>
<?php elseif ($head == 'permission'): ?>
  <th class="item" width="7%" nowrap="nowrap" align="right">
    <?php echo _("Permission") ?>
  </th>
<?php elseif ($head == 'owner'): ?>
  <th class="item" width="7%" nowrap="nowrap" align="right">
    <?php echo _("Owner") ?>
  </th>
<?php elseif ($head == 'group'): ?>
  <th class="item" width="7%" nowrap="nowrap" align="right">
    <?php echo _("Group") ?>
  </th>
<?php endif; ?>
<?php endforeach; ?>
</tr>
